| ghc-6.10.4: The GHC API | Contents | Index

HsDoc

Documentation
data HsDoc id

Constructors

DocEmpty |
DocAppend (HsDoc id) (HsDoc id) |
DocString String |
DocParagraph (HsDoc id) |
DocIdentifier [id] |
DocModule String |
DocEmphasis (HsDoc id) |
DocMonospaced (HsDoc id) |
DocUnorderedList [HsDoc id] |
DocOrderedList [HsDoc id] |
DocDefList [(HsDoc id, HsDoc id)] |
DocCodeBlock (HsDoc id) |
DocURL String |
DocPic String |
DocAName String |

Instances

Eq id => Eq (HsDoc id)
Show id => Show (HsDoc id)
Outputable (HsDoc a)

type LHsDoc a = Located (HsDoc a)
docAppend :: HsDoc id -> HsDoc id -> HsDoc id
docParagraph :: HsDoc id -> HsDoc id
ppr_mbDoc :: Maybe (LHsDoc a) -> SDoc
Produced by Haddock version 2.4.2